{"openapi":"3.0.0","info":{"title":"SolarWinds Observability","contact":{"name":"SolarWinds Support","url":"https://support.solarwinds.com","email":"technicalsupport@solarwinds.com"},"license":{"name":"SolarWinds Software Services Agreement","url":"https://www.solarwinds.com/legal/software-services-agreement"},"description":"SolarWinds Observability REST API\n[Rest API Documentation](https://documentation.solarwinds.com/en/success_center/observability/content/api/api-swagger.htm)","version":"1.0.15"},"tags":[{"name":"changeEvents"},{"name":"cloudAccounts"},{"name":"dem"},{"name":"entities"},{"name":"logs"},{"name":"metrics"},{"name":"metadata"},{"name":"tokens"},{"name":"dbo"},{"name":"entities/websites"}],"paths":{"/v1/changeevents":{"post":{"operationId":"createChangeEvent","summary":"Create an event","parameters":[],"responses":{"202":{"description":"The ID of the created event","content":{"application/json":{"schema":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","format":"int64","description":"Resource identifier.","readOnly":true}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["changeEvents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeEvents.ChangeEvent"}}},"description":"The created change event"}}},"/v1/cloud/aws/controlTower/activate":{"post":{"operationId":"activateAwsIntegration","summary":"Activate AWS Integration","description":"Activate AWS Integration.","parameters":[],"responses":{"200":{"description":"The request has succeeded."},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["cloudAccounts"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudAccounts.AwsActivateIntegrationRequest"}}},"description":"AWS integration activation details."}}},"/v1/cloud/aws/controlTower/createOrgStructure":{"post":{"operationId":"createOrgStructure","summary":"Create Organizational Structure","description":"Create AWS Organizational Structure.","parameters":[],"responses":{"200":{"description":"The request has succeeded."},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["cloudAccounts"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudAccounts.AwsOrganisationalUnitRequest"}}},"description":"AWS organizational unit structure."}}},"/v1/cloud/aws/controlTower/update":{"post":{"operationId":"updateAwsIntegration","summary":"Update AWS Integration","description":"Update AWS Integration details.","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudAccounts.AwsUpdateIntegrationResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["cloudAccounts"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudAccounts.AwsUpdateIntegrationRequest"}}},"description":"AWS integration update details."}}},"/v1/cloud/aws/controlTower/validateOnboarding":{"get":{"operationId":"validateMgmtAccountOnboarding","summary":"Validate Management Account Onboarding","description":"Validate if the management account is onboarded.","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudAccounts.AwsMgmtAccountOnboardingResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["cloudAccounts"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudAccounts.AwsMgmtAccountOnboardingRequest"}}},"description":"Management account onboarding validation parameters."}}},"/v1/dbo/databases":{"post":{"operationId":"observeDatabase","summary":"Add database observability to a database","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Resource identifier.","readOnly":true}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dbo.ObserveDatabaseRequest"}}},"description":"Database observation configuration."}}},"/v1/dbo/databases/config":{"get":{"operationId":"getConfig","summary":"Get organization-level configuration for database observability agents/plugins","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dbo.Config"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"]},"post":{"operationId":"setConfig","summary":"Set organization-level configuration for database observability agents/plugins","description":"Sets organization-level configuration for database observability agents/plugins.\nThey are overriden by any configuration options set at the individual database level.\n\nExample configuration option:\n* `disable-sampling`: true or false (default: false). If true, sampling is disabled for all databases observed by the organization.\n\nPassing an empty value clears the organization-level configuration for that option.\n[Database configuration files documentation](https://documentation.solarwinds.com/en/success_center/observability/content/intro/database/database-configuration-files.htm)","parameters":[],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful."},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Common.KeyValuePair"}}}},"description":"Organization-level configuration key-value pairs."}}},"/v1/dbo/databases/credentials/public-key":{"get":{"operationId":"getPublicKey","summary":"Get public key for encrypting database credentials locally","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dbo.DatabaseCredentialsPublicKeyResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"]}},"/v1/dbo/databases/{entityId}":{"patch":{"operationId":"updateDatabase","summary":"Update an observed database","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful."},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dbo.UpdateDatabaseRequest"}}},"description":"Database configuration updates."}},"delete":{"operationId":"deleteDatabase","summary":"Delete an observed database","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful."},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"]}},"/v1/dbo/databases/{entityId}/pluginConfig":{"get":{"operationId":"getPluginConfig","summary":"Get configuration of plugins observing a database","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dbo.DatabasePluginConfigResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"]}},"/v1/dbo/databases/{entityId}/plugins":{"get":{"operationId":"getPlugins","summary":"Get status of plugins observing a database","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dbo.DatabasePluginStatusResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"]}},"/v1/dbo/databases/{entityId}/plugins/operation/{operation}":{"post":{"operationId":"pluginOperation","summary":"Apply an operation on a database observability plugin","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"},{"name":"operation","in":"path","required":true,"description":"Name of the operation to apply to the plugin.","schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful."},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"]}},"/v1/dbo/databases/{entityId}/unobserve":{"put":{"operationId":"unobserveDatabase","summary":"Unobserve an observed database","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful."},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dbo"]}},"/v1/dem/probes":{"get":{"operationId":"listProbes","summary":"Get a list of existing synthetic probes","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.ListProbesResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/dem/settings":{"get":{"operationId":"getDemSettings","summary":"Get DEM settings","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.OrganizationSettings"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]},"put":{"operationId":"setDemSettings","summary":"Set DEM settings","parameters":[],"responses":{"200":{"description":"The request has succeeded."},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.OrganizationSettingsInput"}}},"description":"Default conditions when an entity is considered down."}}},"/v1/dem/transactions":{"post":{"operationId":"createTransaction","summary":"Create transaction monitoring configuration","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.Transaction"}}},"description":"Transaction monitoring configuration to be created"}}},"/v1/dem/transactions/{entityId}":{"get":{"operationId":"getTransaction","summary":"Get transaction monitoring configuration","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.GetTransactionResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]},"put":{"operationId":"updateTransaction","summary":"Update transaction monitoring configuration","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.Transaction"}}},"description":"Update transaction monitoring configuration"}},"delete":{"operationId":"deleteTransaction","summary":"Delete transaction","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful."},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/dem/transactions/{entityId}/pauseMonitoring":{"put":{"operationId":"pauseTransactionMonitoring","summary":"Pause monitoring of the transaction","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/dem/transactions/{entityId}/unpauseMonitoring":{"put":{"operationId":"unpauseTransactionMonitoring","summary":"Unpause monitoring of the transaction","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/dem/uris":{"post":{"operationId":"createUri","summary":"Create URI monitoring configuration","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.Uri"}}},"description":"The created URI monitoring configuration"}}},"/v1/dem/uris/{entityId}":{"get":{"operationId":"getUri","summary":"Get URI monitoring configuration","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.GetUriResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]},"put":{"operationId":"updateUri","summary":"Update URI monitoring configuration","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.Uri"}}},"description":"The updated URI monitoring configuration"}},"delete":{"operationId":"deleteUri","summary":"Delete URI","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful."},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/dem/uris/{entityId}/outageStatuses":{"get":{"operationId":"getUriOutageStatuses","summary":"Get outage statuses","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"},{"$ref":"#/components/parameters/Dem.OutageStatusParams.startTime"},{"$ref":"#/components/parameters/Dem.OutageStatusParams.endTime"},{"$ref":"#/components/parameters/Dem.SortDirectionParam"},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"An array of outage statuses with pagination info","content":{"application/json":{"schema":{"type":"object","properties":{"statuses":{"type":"array","items":{"$ref":"#/components/schemas/Dem.OutageStatus"},"description":"Uri outage statuses"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information"}},"required":["statuses","pageInfo"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/dem/uris/{entityId}/pauseMonitoring":{"put":{"operationId":"pauseUriMonitoring","summary":"Pause monitoring of the URI","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/dem/uris/{entityId}/testResults":{"get":{"operationId":"getUriTestResults","summary":"Get test results","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"},{"$ref":"#/components/parameters/Dem.TestResultsParams.startTime"},{"$ref":"#/components/parameters/Dem.TestResultsParams.endTime"},{"$ref":"#/components/parameters/Dem.SortDirectionParam"},{"$ref":"#/components/parameters/Dem.TestResultsParams.minResponse"},{"$ref":"#/components/parameters/Dem.TestResultsParams.maxResponse"},{"$ref":"#/components/parameters/Dem.TestResultsParams.probes"},{"$ref":"#/components/parameters/Dem.TestResultsParams.status"},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"An array of test results with pagination info","content":{"application/json":{"schema":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Dem.TestResult"},"description":"Uri test results"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information"}},"required":["results","pageInfo"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/dem/uris/{entityId}/unpauseMonitoring":{"put":{"operationId":"unpauseUriMonitoring","summary":"Unpause monitoring of the URI","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/dem/websites":{"post":{"operationId":"createWebsite","summary":"Create website monitoring configuration","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.Website"}}},"description":"The created website monitoring configuration"}}},"/v1/dem/websites/{entityId}":{"get":{"operationId":"getWebsite","summary":"Get website monitoring configuration","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.GetWebsiteResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]},"put":{"operationId":"updateWebsite","summary":"Update website monitoring configuration","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.Website"}}},"description":"The updated website monitoring configuration"}},"delete":{"operationId":"deleteWebsite","summary":"Delete website","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful."},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/dem/websites/{entityId}/outageStatuses":{"get":{"operationId":"getWebsiteOutageStatuses","summary":"Get outage statuses","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"},{"$ref":"#/components/parameters/Dem.OutageStatusParams.startTime"},{"$ref":"#/components/parameters/Dem.OutageStatusParams.endTime"},{"$ref":"#/components/parameters/Dem.SortDirectionParam"},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"An array of outage statues with pagination info","content":{"application/json":{"schema":{"type":"object","properties":{"statuses":{"type":"array","items":{"$ref":"#/components/schemas/Dem.OutageStatus"},"description":"Website outage statuses"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information"}},"required":["statuses","pageInfo"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/dem/websites/{entityId}/pauseMonitoring":{"put":{"operationId":"pauseWebsiteMonitoring","summary":"Pause monitoring of a website","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/dem/websites/{entityId}/testResults":{"get":{"operationId":"getWebsiteTestResults","summary":"Get test results","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"},{"$ref":"#/components/parameters/Dem.TestResultsParams.startTime"},{"$ref":"#/components/parameters/Dem.TestResultsParams.endTime"},{"$ref":"#/components/parameters/Dem.SortDirectionParam"},{"$ref":"#/components/parameters/Dem.TestResultsParams.minResponse"},{"$ref":"#/components/parameters/Dem.TestResultsParams.maxResponse"},{"$ref":"#/components/parameters/Dem.TestResultsParams.probes"},{"$ref":"#/components/parameters/Dem.TestResultsParams.status"},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"An array of test results with pagination info","content":{"application/json":{"schema":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Dem.TestResult"},"description":"Website test results"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information"}},"required":["results","pageInfo"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/dem/websites/{entityId}/unpauseMonitoring":{"put":{"operationId":"unpauseWebsiteMonitoring","summary":"Unpause monitoring of a website","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.EntityId"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["dem"]}},"/v1/entities":{"get":{"operationId":"listEntities","summary":"Get a list of entities by type. A returned empty list indicates no entities matched the given parameters.","parameters":[{"name":"type","in":"query","required":true,"description":"The entity type to search for","schema":{"type":"string"},"explode":false},{"name":"name","in":"query","required":false,"description":"The entity name to search for","schema":{"type":"string"},"explode":false},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"entities":{"type":"array","items":{"$ref":"#/components/schemas/Entities.Entity"},"description":"List of matching entities."},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information."}},"required":["entities","pageInfo"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["entities"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/entities/websites":{"post":{"operationId":"createWebsiteDeprecated","summary":"Create website","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the website entity.","example":"e-1448474379026206720"}},"required":["id"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}}},"tags":["entities/websites"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.Website"}}},"description":"The Website configuration object"},"deprecated":true,"x-speakeasy-ignore":true}},"/v1/entities/websites/{entityId}":{"get":{"operationId":"getWebsiteDeprecated","summary":"Get website","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.GetWebsiteResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}}},"tags":["entities/websites"],"deprecated":true,"x-speakeasy-ignore":true},"put":{"operationId":"updateWebsiteDeprecated","summary":"Update website","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the website entity.","example":"e-1448474379026206720"}},"required":["id"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}}},"tags":["entities/websites"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dem.Website"}}},"description":"The website configuration object"},"deprecated":true,"x-speakeasy-ignore":true},"delete":{"operationId":"deleteWebsiteDeprecated","summary":"Delete website","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the website entity.","example":"e-1448474379026206720"}},"required":["id"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}}},"tags":["entities/websites"],"deprecated":true,"x-speakeasy-ignore":true}},"/v1/entities/websites/{entityId}/pauseMonitoring":{"put":{"operationId":"pauseWebsiteMonitoringDeprecated","summary":"Pause monitoring of a website","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the website entity.","example":"e-1448474379026206720"}},"required":["id"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}}},"tags":["entities/websites"],"deprecated":true,"x-speakeasy-ignore":true}},"/v1/entities/websites/{entityId}/unpauseMonitoring":{"put":{"operationId":"unpauseWebsiteMonitoringDeprecated","summary":"Unpause monitoring of a website","parameters":[{"$ref":"#/components/parameters/Common.EntityIdParam"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the website entity.","example":"e-1448474379026206720"}},"required":["id"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}}},"tags":["entities/websites"],"deprecated":true,"x-speakeasy-ignore":true}},"/v1/entities/{id}":{"get":{"operationId":"getEntityById","summary":"Get an entity by ID","parameters":[{"name":"id","in":"path","required":true,"description":"The entity's ID","schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Entities.Entity"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["entities"]},"put":{"operationId":"updateEntityById","summary":"Update an entity by ID","parameters":[{"name":"id","in":"path","required":true,"description":"The entity's ID","schema":{"type":"string"}}],"responses":{"202":{"description":"The request has been accepted for processing, but processing has not yet completed."},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["entities"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Entities.Entity"}}},"description":"Entity properties to update. The entire representation of the entity as to be stored must be provided in the request."}}},"/v1/logs":{"get":{"operationId":"searchLogs","summary":"Search logs","description":"Search logs within a time period","parameters":[{"name":"filter","in":"query","required":false,"description":"A search query string","schema":{"type":"string"},"explode":false},{"name":"group","in":"query","required":false,"description":"Filter logs by a specific group name","schema":{"type":"string"},"explode":false},{"name":"entityId","in":"query","required":false,"description":"Filter logs by a specific entity id","schema":{"type":"string"},"explode":false},{"$ref":"#/components/parameters/Common.TimeRangeParams.startTime"},{"$ref":"#/components/parameters/Common.TimeRangeParams.endTime"},{"name":"direction","in":"query","required":false,"description":"Search direction: backward, forward, or tail. Backward sorts logs from oldest to newest, forward sorts logs from newest to oldest, and tail sorts from oldest to newest.","schema":{"type":"string","default":"backward"},"explode":false},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"logs":{"type":"array","items":{"$ref":"#/components/schemas/Logs.Event"},"description":"Array of log events."},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information."}},"required":["logs","pageInfo"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["logs"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/logs/archives":{"get":{"operationId":"listLogArchives","summary":"Retrieve location and metadata of log archives","description":"Retrieves a list of log archives within a time period.","parameters":[{"$ref":"#/components/parameters/Logs.TimeRangeParams.startTime"},{"$ref":"#/components/parameters/Logs.TimeRangeParams.endTime"},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"logArchives":{"type":"array","items":{"$ref":"#/components/schemas/Logs.Archive"},"description":"Array of log archives."},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information."}},"required":["logArchives","pageInfo"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["logs"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/metadata/entities/types":{"get":{"operationId":"listEntityTypes","summary":"List all entity types","description":"List all available entity types.","parameters":[],"responses":{"200":{"description":"List of entity types","content":{"application/json":{"schema":{"type":"object","properties":{"types":{"type":"array","items":{"type":"string"},"description":"List of entity type names.","example":["Service","ServiceInstance","KubernetesCluster"]}},"required":["types"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metadata"]}},"/v1/metadata/entities/types/{type}/metrics":{"get":{"operationId":"listMetricsForEntityType","summary":"List metrics metadata for an entity type","description":"List metrics metadata for an entity type between a start and end time. If start time and end time unspecified, a default time range is be applied. An empty list indicates no metrics matched the given parameters.","parameters":[{"name":"type","in":"path","required":true,"description":"Entity type to list metrics for.","schema":{"type":"string"}},{"$ref":"#/components/parameters/Common.TimeRangeParams.startTime"},{"$ref":"#/components/parameters/Common.TimeRangeParams.endTime"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"Entity type name.","example":"KubernetesCluster"},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Common.MetricInfo"},"description":"A list of metrics and their metadata. An empty list indicates no metrics matched the given parameters.","example":[{"name":"composite.k8s.pod.container.status.restarts.increase","units":"count","formula":"increase(k8s.kube_pod_container_status_restarts_total[5m])","lastReportedTime":"2021-01-01T00:00:00Z"}]}},"required":["type","metrics"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metadata"]}},"/v1/metrics":{"get":{"operationId":"listMetrics","summary":"List metrics","description":"List metrics available within a time period.","parameters":[{"name":"name","in":"query","required":false,"description":"Metric name.","schema":{"type":"string"},"explode":false},{"$ref":"#/components/parameters/Common.TimeRangeParams.startTime"},{"$ref":"#/components/parameters/Common.TimeRangeParams.endTime"},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"metricsInfo":{"type":"array","items":{"$ref":"#/components/schemas/Common.MetricInfo"},"description":"List of metric metadata."},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information."}},"required":["metricsInfo","pageInfo"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metrics"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}},"post":{"operationId":"createCompositeMetric","summary":"Create composite metric","description":"Create a composite metric given a PromQL query.","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Metrics.CompositeMetric"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.ConflictErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metrics"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Metrics.CompositeMetric"}}},"description":"Composite metric definition."}}},"/v1/metrics/measurements":{"post":{"operationId":"listMultiMetricMeasurements","summary":"List measurements for a batch of metrics","description":"  List metric measurements, potentially filtered and aggregated. This operation mimics the\n  capabilities found in GET `/v1/metrics/{name}/measurements`, extending it for an entire batch of\n  metrics that can be requested at once, over the same time interval.\n\n  It is legal to request the same metric multiple times, using different aggregations. For\n  example, both the total for the interval (scalar) and a time series can be read simultaneously,\n  using two different entries in the request payload. Entries in the response can be matched with\n  the respective requests by metric name. When more than one exist for the same name, an `id`\n  can be provided to disambiguate. This property will be echoed back unchanged and can be used\n  for some or all entries, regardless of whether metrics repeat.\n\n  By default, this endpoint will omit response entries that include no measurements. This is done\n  only when the request contains enough information for the client to successfully match all\n  responses back to their respective requests—i.e., when there is at most one entry for each\n  combination of metric name and `id`. This provides a cleaner response, especially in case where\n  multiple pages need to be traversed and data for most metric entries is exhausted early.\n  Otherwise, empty entries will be included as well and the output will be fully positional. This\n  positional mode can be forced with `forcePositional`.\n\n  Pages can be navigated by following the links returned in `pageInfo`. Those requests must also\n  be POST and must include the same payload that was initially sent. Behavior is undefined\n  otherwise.","parameters":[{"name":"forcePositional","in":"query","required":false,"description":"Forces a positional response; see the operation description.","schema":{"type":"boolean","default":false},"explode":false},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Entry identification, as (if) provided in the corresponding request entry.","example":"throughput-series"},"name":{"type":"string","description":"Metric name.","example":"dbo.host.queries.tput"},"groupings":{"type":"array","items":{"$ref":"#/components/schemas/Metrics.Grouping"},"description":"Collection of attributes and measurements."},"bucketSizeInSeconds":{"type":"integer","format":"int32","description":"Bucket size used for computing points in this entry.","example":1}},"required":["name","groupings","bucketSizeInSeconds"]},"description":"Metric measurement results."},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information."}},"required":["metrics","pageInfo"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metrics"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metrics.MeasurementsRequest"},"description":"List of metric measurement requests."},"startTime":{"type":"string","format":"date-time","description":"Timestamp in ISO 8601 format in UTC timezone: yyyy-MM-ddTHH:mm:ssZ"},"endTime":{"type":"string","format":"date-time","description":"Timestamp in ISO 8601 format in UTC timezone: yyyy-MM-ddTHH:mm:ssZ"}},"required":["metrics"]}}},"description":"Batch measurement request parameters."},"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/metrics/{name}":{"put":{"operationId":"updateCompositeMetric","summary":"Update composite metric","description":"Update a composite metric given a metric name.","parameters":[{"name":"name","in":"path","required":true,"description":"Metric name.","schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Metrics.CompositeMetric"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.BadRequestErrorResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Metrics.MetricForbiddenErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metrics"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Metrics.UpdateCompositeMetricRequest"}}},"description":"Metric properties to update"}},"delete":{"operationId":"deleteCompositeMetric","summary":"Delete composite metric","description":"Delete a composite metric given a metric name.","parameters":[{"name":"name","in":"path","required":true,"description":"Metric name.","schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. "},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Metrics.MetricForbiddenErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metrics"]},"get":{"operationId":"getMetricByName","summary":"Get metric info by name","description":"Get information about a given metric.","parameters":[{"name":"name","in":"path","required":true,"description":"Metric name.","schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.MetricInfo"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metrics"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/metrics/{name}/attributes":{"get":{"operationId":"listMetricAttributes","summary":"List metric attribute names","description":"List attribute names for a given metric.","parameters":[{"name":"name","in":"path","required":true,"description":"Metric name.","schema":{"type":"string"}},{"$ref":"#/components/parameters/Common.TimeRangeParams.startTime"},{"$ref":"#/components/parameters/Common.TimeRangeParams.endTime"},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"names":{"type":"array","items":{"type":"string"},"description":"List of attribute names."},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information."}},"required":["names","pageInfo"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metrics"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/metrics/{name}/attributes/{attributeName}":{"get":{"operationId":"listMetricAttributeValues","summary":"List metric attribute values","description":"List the values of a given metric's attribute.","parameters":[{"name":"name","in":"path","required":true,"description":"Metric name.","schema":{"type":"string"}},{"name":"attributeName","in":"path","required":true,"description":"attribute name","schema":{"type":"string"}},{"$ref":"#/components/parameters/Common.TimeRangeParams.startTime"},{"$ref":"#/components/parameters/Common.TimeRangeParams.endTime"},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Attribute name."},"values":{"type":"array","items":{"type":"string"},"description":"List of attribute values."},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information."}},"required":["name","values","pageInfo"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metrics"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/metrics/{name}/measurements":{"get":{"operationId":"listMetricMeasurements","summary":"List metric measurement values, grouped by attributes, filtered by the filter. An empty list indicates no data points are available for the given parameters.","parameters":[{"name":"name","in":"path","required":true,"description":"Metric name.","schema":{"type":"string"}},{"name":"filter","in":"query","required":false,"description":"Query to filter the measurement values. e.g id: [id1,id2] category: moderate","schema":{"type":"string"},"explode":false},{"name":"groupBy","in":"query","required":false,"description":"Comma-delimited list of attribute names to group measurements by. e.g id, category","schema":{"type":"string"},"explode":false},{"name":"aggregateBy","in":"query","required":false,"description":"Aggregation method used to group measurements. Defaults to AVG.","schema":{"$ref":"#/components/schemas/Metrics.AggregationMethods"},"explode":false},{"name":"preGroupBy","in":"query","required":false,"description":"Secondary grouping to allow aggregating data points inside individual buckets. Has to be set together with `preGroupByMethod`.","schema":{"type":"string"},"explode":false},{"name":"preGroupByMethod","in":"query","required":false,"description":"Secondary aggregation to allow aggregating data points inside individual buckets. Has to be set together with `preGroupBy`.","schema":{"$ref":"#/components/schemas/Metrics.AggregationMethods"},"explode":false},{"name":"seriesType","in":"query","required":true,"description":"Indicates what type of data to return. Defaults to TIMESERIES.","schema":{"$ref":"#/components/schemas/Metrics.MetricSeriesType"},"explode":false},{"$ref":"#/components/parameters/Common.TimeRangeParams.startTime"},{"$ref":"#/components/parameters/Common.TimeRangeParams.endTime"},{"$ref":"#/components/parameters/Common.PageParams.pageSize"},{"$ref":"#/components/parameters/Common.PageParams.skipToken"}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"groupings":{"type":"array","items":{"$ref":"#/components/schemas/Metrics.Grouping"},"description":"Measurement data grouped by attributes."},"bucketSizeInSeconds":{"type":"integer","format":"int32","description":"Bucket size used for computing time series points, in seconds."},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/Common.PageInfo"}],"description":"Pagination information."}},"required":["groupings","bucketSizeInSeconds","pageInfo"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.NotFoundErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}}},"tags":["metrics"],"x-speakeasy-pagination":{"type":"url","outputs":{"nextUrl":"$.pageInfo.nextPage"}}}},"/v1/tokens":{"post":{"operationId":"createToken","summary":"Create ingestion token","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tokens.CreateTokenResponse"}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnauthorizedErrorResponse"}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.ForbiddenErrorResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.InternalErrorResponse"}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.UnavailableErrorResponse"}}}}},"tags":["tokens"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tokens.CreateTokenRequest"}}},"description":"Requested token's properties"}}}},"security":[{"BearerAuth":[]}],"components":{"parameters":{"Common.EntityIdParam":{"name":"entityId","in":"path","required":true,"description":"Entity ID.","schema":{"type":"string"}},"Common.PageParams.pageSize":{"name":"pageSize","in":"query","required":false,"description":"Number of items in a response page. Default varies by API.","schema":{"type":"integer","format":"int32"},"explode":false},"Common.PageParams.skipToken":{"name":"skipToken","in":"query","required":false,"description":"Token for the requested page.","schema":{"type":"string"},"explode":false},"Common.TimeRangeParams.endTime":{"name":"endTime","in":"query","required":false,"description":"Timestamp in ISO 8601 format in UTC timezone: yyyy-MM-ddTHH:mm:ssZ","schema":{"type":"string","format":"date-time"},"explode":false},"Common.TimeRangeParams.startTime":{"name":"startTime","in":"query","required":false,"description":"Timestamp in ISO 8601 format in UTC timezone: yyyy-MM-ddTHH:mm:ssZ","schema":{"type":"string","format":"date-time"},"explode":false},"Dem.OutageStatusParams.endTime":{"name":"endTime","in":"query","required":true,"description":"End of timespan to get results for, exclusive","schema":{"type":"string","format":"date-time"},"explode":false},"Dem.OutageStatusParams.startTime":{"name":"startTime","in":"query","required":true,"description":"Start of timespan to get results for, inclusive","schema":{"type":"string","format":"date-time"},"explode":false},"Dem.SortDirectionParam":{"name":"direction","in":"query","required":false,"description":"sort direction: 'backward' and 'tail' both sort from oldest to newest, 'forward' sorts from newest to oldest","schema":{"type":"string","enum":["backward","forward","tail"],"default":"backward"},"explode":false},"Dem.TestResultsParams.endTime":{"name":"endTime","in":"query","required":true,"description":"End of timespan to get results for, exclusive","schema":{"type":"string","format":"date-time"},"explode":false},"Dem.TestResultsParams.maxResponse":{"name":"maxResponse","in":"query","required":false,"description":"Maximal result response time to return, exclusive, defaults to infinity","schema":{"type":"integer","format":"int32"},"explode":false},"Dem.TestResultsParams.minResponse":{"name":"minResponse","in":"query","required":false,"description":"Minimal result response time to return, inclusive, defaults to -1","schema":{"type":"integer","format":"int32"},"explode":false},"Dem.TestResultsParams.probes":{"name":"probes","in":"query","required":false,"description":"Ids of probes to return results from (comma-separated list). Defaults to all probes.","schema":{"type":"string","pattern":"^probe-[a-zA-Z0-9_-]+(,\\s*probe-[a-zA-Z0-9_-]+)*$"},"explode":false},"Dem.TestResultsParams.startTime":{"name":"startTime","in":"query","required":true,"description":"Start of timespan to get results for, inclusive","schema":{"type":"string","format":"date-time"},"explode":false},"Dem.TestResultsParams.status":{"name":"status","in":"query","required":false,"description":"Test result statuses to include. Defaults to all statuses","schema":{"type":"string","enum":["up","down","up,down"]},"explode":false},"Logs.TimeRangeParams.endTime":{"name":"endTime","in":"query","required":true,"description":"List archives ending at this time. Timestamp in ISO 8601 format in UTC timezone: yyyy-MM-ddTHH:mm:ssZ. Must be within the the last year.","schema":{"type":"string"},"explode":false},"Logs.TimeRangeParams.startTime":{"name":"startTime","in":"query","required":true,"description":"List archives beginning at this time. Timestamp in ISO 8601 format in UTC timezone: yyyy-MM-ddTHH:mm:ssZ. Must be within the the last year.","schema":{"type":"string"},"explode":false}},"schemas":{"ChangeEvents.ChangeEvent":{"type":"object","required":["name","title"],"properties":{"id":{"type":"integer","format":"int64","description":"Optional ID of the event. It is recommended to leave this empty when creating a new event so that a unique ID will be generated","example":1731676626},"name":{"type":"string","maxLength":100,"description":"The name of the event. Can be used as a category or type of event. Does not need to be unique.","example":"app-deploys"},"title":{"type":"string","maxLength":250,"description":"A short, high-level summary of the event.","example":"deployed v45"},"timestamp":{"type":"integer","format":"int64","description":"Timestamp of the event in seconds since the epoch. Defaults to the current time.","example":1731676626},"source":{"type":"string","description":"Description of the event's origination. For example, a hostname, user, or application name.","example":"foo3.example.com"},"description":{"type":"string","description":"Extra metadata about the event describing the specifics of the event."},"parentEventId":{"type":"integer","format":"int64","description":"The id of the parent event"},"tags":{"type":"object","additionalProperties":{"type":"string"},"description":"A set of key-value pairs that describe the event","example":{"app":"foo","environment":"production"}},"links":{"type":"array","items":{"$ref":"#/components/schemas/Common.Link"},"description":"A set of links to related resources","example":[{"href":"https://example.com","rel":"self"}]}}},"CloudAccounts.AwsActivateIntegrationRequest":{"type":"object","required":["managementAccountId","accountId","enable"],"properties":{"managementAccountId":{"type":"string","description":"AWS Control Tower Management Account ID."},"accountId":{"type":"string","description":"AWS Accounts ID to be integrated."},"enable":{"type":"boolean","description":"True to enable the integration, false to disable."}}},"CloudAccounts.AwsMgmtAccountOnboardingRequest":{"type":"object","required":["managementAccountId"],"properties":{"managementAccountId":{"type":"string","description":"AWS Control Tower Management Account ID."}}},"CloudAccounts.AwsMgmtAccountOnboardingResponse":{"type":"object","required":["isOnboarded"],"properties":{"isOnboarded":{"type":"boolean","description":"True if the Management Account is onboarded, false otherwise."}}},"CloudAccounts.AwsOrganisationalUnit":{"type":"object","required":["child_id","child_name"],"properties":{"child_id":{"type":"string","description":"AWS Account ID/Org unit ID."},"child_name":{"type":"string","description":"AWS Account Name/Org unit Name."},"parent_id":{"type":"string","description":"Parent Org unit ID."}}},"CloudAccounts.AwsOrganisationalUnitRequest":{"type":"object","required":["mgmtAccountId","structure"],"properties":{"mgmtAccountId":{"type":"string","description":"AWS Control Tower Management Account ID."},"structure":{"type":"array","items":{"$ref":"#/components/schemas/CloudAccounts.AwsOrganisationalUnit"},"description":"Organisational Structure of the AWS Account."}}},"CloudAccounts.AwsUpdateIntegrationRequest":{"type":"object","required":["managementAccountId","accountId","accountName","roleArn"],"properties":{"managementAccountId":{"type":"string","description":"AWS Control Tower Management Account ID."},"accountId":{"type":"string","description":"AWS Accounts ID to be integrated."},"accountName":{"type":"string","description":"Name of the AWS Account."},"roleArn":{"type":"string","description":"Role ARN to be assumed by the AWS Account."},"orgUnitId":{"type":"string","description":"AWS Account ID."},"orgUnitName":{"type":"string","description":"AWS Organizational Unit Name."},"parentOrgUnitId":{"type":"string","description":"Immediate Parent Organization Unit ID of the AWS Account to be integrated."}}},"CloudAccounts.AwsUpdateIntegrationResponse":{"type":"object","required":["selectedRegions","externalId","integrationId","integrationType","isNewAccount"],"properties":{"selectedRegions":{"type":"array","items":{"type":"string"},"description":"String array of AWS Regions in which the AWS Account is integrated."},"externalId":{"type":"string","description":"New External ID generated that is to be integrated as part of AWS Account's trust relationship."},"integrationId":{"type":"string","description":"Integration ID generated by SolarWinds Observability that is unique for each Account integrated."},"integrationType":{"type":"string","enum":["STREAMING","POLLING"],"description":"Integration Type would either be STREAMING or POLLING"},"isNewAccount":{"type":"boolean","description":"Flag to indicate if the AWS Account is newly integrated to SolarWinds Observability under the Control Tower Management Account Integration."}}},"Common.BadRequestErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"Supporting description of the error.","example":"Error has occurred"},"target":{"type":"string","description":"Indicates the invalid field."},"code":{"allOf":[{"$ref":"#/components/schemas/Common.HttpErrorCode"}],"description":"Uniquely identifies an error condition.","example":"InvalidRequest"}}},"Common.ConflictErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"Supporting description of the error.","example":"Error has occurred"},"target":{"type":"string","description":"Indicates the invalid field."},"code":{"allOf":[{"$ref":"#/components/schemas/Common.HttpErrorCode"}],"description":"Uniquely identifies an error condition.","example":"ResourceConflict"}}},"Common.EntityId":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Entity ID.","example":"e-1448474379026206720"}},"allOf":[{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Resource identifier.","readOnly":true}}}]},"Common.ForbiddenErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"Supporting description of the error.","example":"Error has occurred"},"code":{"allOf":[{"$ref":"#/components/schemas/Common.HttpErrorCode"}],"description":"Uniquely identifies an error condition.","example":"AccessForbidden"}}},"Common.HttpErrorCode":{"type":"string","enum":["AccessForbidden","InternalError","InvalidRequest","ResourceConflict","ResourceNotFound","ServiceUnavailable","Unauthorized"]},"Common.InternalErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"Supporting description of the error.","example":"Error has occurred"},"code":{"allOf":[{"$ref":"#/components/schemas/Common.HttpErrorCode"}],"description":"Uniquely identifies an error condition.","example":"InternalError"}}},"Common.KeyValuePair":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","description":"Key."},"value":{"type":"string","description":"Value."}}},"Common.Link":{"type":"object","required":["rel","href"],"properties":{"rel":{"type":"string","description":"Relationship of the link to the current resource."},"href":{"type":"string","description":"URL of the linked resource."},"label":{"type":"string","description":"Display label for the link."}}},"Common.MetricInfo":{"type":"object","required":["name"],"properties":{"name":{"type":"string","description":"Name of the metric.","example":"composite.custom.system.disk.io.rate"},"displayName":{"type":"string","nullable":true,"description":"Display name of the metric. A short description of the metric.","example":"Disk IO rate"},"description":{"type":"string","nullable":true,"description":"Description of the metric. A detailed description of the metric.","example":"Disk bytes transferred per second"},"units":{"type":"string","nullable":true,"description":"Unit of the metric.","example":"bytes/s"},"formula":{"type":"string","nullable":true,"description":"Formula of the metric.","example":"rate(system.disk.io[5m]"},"lastReportedTime":{"type":"string","nullable":true,"format":"date-time","description":"Last reported time of the metric.","example":"2024-11-25T16:38:24Z"}}},"Common.NotFoundErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"Supporting description of the error.","example":"Error has occurred"},"code":{"allOf":[{"$ref":"#/components/schemas/Common.HttpErrorCode"}],"description":"Uniquely identifies an error condition.","example":"ResourceNotFound"}}},"Common.PageInfo":{"type":"object","required":["prevPage","nextPage"],"properties":{"prevPage":{"type":"string","description":"Token for the previous page, or empty string if on the first page."},"nextPage":{"type":"string","description":"Token for the next page, or empty string if on the last page."}}},"Common.Tag":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","description":"Tag key.","example":"environment"},"value":{"type":"string","description":"Tag value.","example":"production"}}},"Common.UnauthorizedErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"Supporting description of the error.","example":"Error has occurred"},"code":{"allOf":[{"$ref":"#/components/schemas/Common.HttpErrorCode"}],"description":"Uniquely identifies an error condition.","example":"Unauthorized"}}},"Common.UnavailableErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"Supporting description of the error.","example":"Error has occurred"},"code":{"allOf":[{"$ref":"#/components/schemas/Common.HttpErrorCode"}],"description":"Uniquely identifies an error condition.","example":"ServiceUnavailable"}}},"Dbo.Config":{"type":"object","required":["configOptions"],"properties":{"configOptions":{"type":"array","items":{"$ref":"#/components/schemas/Common.KeyValuePair"},"description":"Organization-level configuration options for database observability agents/plugins"}}},"Dbo.DatabaseAuthMethod":{"type":"string","enum":["basic","awsiam","windows","entraclientsecret","entraclientcert","cert"]},"Dbo.DatabaseConnectionOptions":{"type":"object","required":["host"],"properties":{"host":{"type":"string","description":"Database server host"},"port":{"type":"string","description":"Database server port","default":""},"dbname":{"type":"string","description":"Database schema name","default":""},"encryptedCredentials":{"type":"string","description":"Encrypted credentials for connecting to the database server when using basic authentication (username, password)\ncan be generated using this command:\n./dbo-headless-installer -swoparams=<SwoParamasJsonFile> --encrypt-creds --user=<USERNAME> --password=<PASSWORD>\nUse the dbo-headless-installer binary located at:\nhttps://agent-binaries.cloud.solarwinds.com/?prefix=dbo-headless-installer/latest/","default":""},"user":{"type":"string","description":"Username for connecting to database server needed only for auth methods other than basic auth","default":""},"sslEnabled":{"type":"boolean","description":"Enable ssl when agent connects to database server","default":false},"sslOptions":{"allOf":[{"$ref":"#/components/schemas/Dbo.DatabaseSslOptions"}],"description":"SSL connection options, when sslEnabled is true"},"cloudRegion":{"type":"string","description":"Cloud region in case of database managed by cloud provider, required for IAM authentication","default":""},"bindings":{"type":"string","description":"binding for packet sniffing for sniffer captureMethod (on-host), example: 0.0.0.0:6379,[::]:6379","default":""}}},"Dbo.DatabaseConnectionOptionsUpdate":{"type":"object","properties":{"host":{"type":"string","description":"Database server host"},"port":{"type":"string","description":"Database server port","default":""},"dbname":{"type":"string","description":"Database schema name","default":""},"encryptedCredentials":{"type":"string","description":"Encrypted credentials for connecting to the database server when using basic authentication (username, password)\ncan be generated using this command:\n./dbo-headless-installer -swoparams=<SwoParamasJsonFile> --encrypt-creds --user=<USERNAME> --password=<PASSWORD>\nUse the dbo-headless-installer binary located at:\nhttps://agent-binaries.cloud.solarwinds.com/?prefix=dbo-headless-installer/latest/","default":""},"user":{"type":"string","description":"Username for connecting to database server needed only for auth methods other than basic auth","default":""},"sslEnabled":{"type":"boolean","description":"Enable ssl when agent connects to database server","default":false},"sslOptions":{"allOf":[{"$ref":"#/components/schemas/Dbo.DatabaseSslOptionsUpdate"}],"description":"SSL connection options, when sslEnabled is true"},"cloudRegion":{"type":"string","description":"Cloud region in case of database managed by cloud provider, required for IAM authentication","default":""},"bindings":{"type":"string","description":"binding for packet sniffing for sniffer captureMethod (on-host), example: 0.0.0.0:6379,[::]:6379","default":""}}},"Dbo.DatabaseCredentialsPublicKeyResponse":{"type":"object","required":["publicKey"],"properties":{"publicKey":{"type":"string","description":"  Public Key for locally encrypting database credentials before using in database connectivity options\n  in observe or update Database call"}}},"Dbo.DatabaseMetricsCaptureMethod":{"type":"string","enum":["sniffer","poll","profiler","slow-log"]},"Dbo.DatabasePluginConfig":{"type":"object","required":["pluginName","configOptions","dbConnOptions"],"properties":{"pluginName":{"type":"string","description":"Name of plugin observing database server"},"configOptions":{"type":"array","items":{"$ref":"#/components/schemas/Common.KeyValuePair"},"description":"Configuration of plugin observing database server"},"dbConnOptions":{"type":"array","items":{"$ref":"#/components/schemas/Common.KeyValuePair"},"description":"Database connection options of plugin observing database server"}}},"Dbo.DatabasePluginConfigResponse":{"type":"object","required":["pluginConfig"],"properties":{"pluginConfig":{"type":"array","items":{"$ref":"#/components/schemas/Dbo.DatabasePluginConfig"},"description":"Configuration of plugin(s) observing database server"}}},"Dbo.DatabasePluginStatus":{"type":"object","required":["pluginName","deploymentStatus","healthStatus"],"properties":{"pluginName":{"type":"string","description":"Name of plugin observing database server"},"deploymentStatus":{"type":"string","description":"Deployment Status of plugin observing database server"},"healthStatus":{"type":"string","description":"Health Status of plugin observing database server"}}},"Dbo.DatabasePluginStatusResponse":{"type":"object","required":["plugins"],"properties":{"plugins":{"type":"array","items":{"$ref":"#/components/schemas/Dbo.DatabasePluginStatus"},"description":"Status of plugin(s) observing database server"}}},"Dbo.DatabaseSslConnectionMode":{"type":"string","enum":["require","verify-ca","verify-full"]},"Dbo.DatabaseSslOptions":{"type":"object","required":["sslMode"],"properties":{"sslMode":{"allOf":[{"$ref":"#/components/schemas/Dbo.DatabaseSslConnectionMode"}],"description":"SSL mode such as require, verify-ca, verify-full as applicable","default":"require"},"sslCAPath":{"type":"string","description":"CA file path","default":""},"sslKeyPath":{"type":"string","description":"SSL key file path","default":""},"sslCertPath":{"type":"string","description":"SSL cert file path","default":""}}},"Dbo.DatabaseSslOptionsUpdate":{"type":"object","properties":{"sslMode":{"allOf":[{"$ref":"#/components/schemas/Dbo.DatabaseSslConnectionMode"}],"description":"SSL mode such as require, verify-ca, verify-full as applicable","default":"require"},"sslCAPath":{"type":"string","description":"CA file path","default":""},"sslKeyPath":{"type":"string","description":"SSL key file path","default":""},"sslCertPath":{"type":"string","description":"SSL cert file path","default":""}}},"Dbo.DatabaseType":{"type":"string","enum":["mysql","mongo","mssql","redis","pgsql"]},"Dbo.ObserveDatabaseRequest":{"type":"object","required":["name","agentId","dbType","authMethod","dbConnOptions"],"properties":{"name":{"type":"string","description":"Name for the observed database entity"},"agentId":{"type":"string","description":"Swo Agent ID where the plugin(s) for observing database server should run"},"dbType":{"allOf":[{"$ref":"#/components/schemas/Dbo.DatabaseType"}],"description":"Database server type: mysql/mongo/mssql/pgsql/redis"},"authMethod":{"allOf":[{"$ref":"#/components/schemas/Dbo.DatabaseAuthMethod"}],"description":"Auth method to be used by the agent to connect to database server"},"captureMethod":{"allOf":[{"$ref":"#/components/schemas/Dbo.DatabaseMetricsCaptureMethod"}],"description":"Method for capturing metrics from database server: sniffer/poll/profiler/slow-log, ignored for SqlServer and Redis\nSniffer is supported for mysql, mongo, redis and pgsql.\nPoll is supported for mysql, mssql, pgsql.\nprofiler and slow-log are supported for mongo."},"configOptions":{"type":"array","items":{"$ref":"#/components/schemas/Common.KeyValuePair"},"description":"Optional advanced configuration options for plugins, e.g. disable-sampling set to true"},"dbConnOptions":{"allOf":[{"$ref":"#/components/schemas/Dbo.DatabaseConnectionOptions"}],"description":"Options specifying how plugins connect to database server"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Common.KeyValuePair"},"description":"Tags for observed database entity"}}},"Dbo.UpdateDatabaseRequest":{"type":"object","properties":{"name":{"type":"string","description":"Name for the observed database entity"},"configOptions":{"type":"array","items":{"$ref":"#/components/schemas/Common.KeyValuePair"},"description":"Optional advanced configuration options for plugins, e.g. disable-sampling set to true.\nAn existing config option can be removed by setting its value to empty string."},"dbConnOptions":{"allOf":[{"$ref":"#/components/schemas/Dbo.DatabaseConnectionOptionsUpdate"}],"description":"Options specifying how plugins connect to database server, authentication method change is not supported"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Common.KeyValuePair"},"description":"Tags for observed database entity.\nAn existing tag can be removed by setting its value to empty string."},"deployedOn":{"type":"array","items":{"type":"string"},"description":"Host entity/entities where database server is deployed on"}}},"Dem.AvailabilityCheckSettings":{"type":"object","required":["testFrom","testIntervalInSeconds","protocols"],"properties":{"platformOptions":{"type":"object","allOf":[{"$ref":"#/components/schemas/Dem.ProbePlatformOptions"}],"nullable":true,"description":"Configure cloud platforms of the synthetic availability test probes. If omitted or set to null, any available cloud platform may be chosen."},"testFrom":{"allOf":[{"$ref":"#/components/schemas/Dem.TestFrom"}],"description":"  Configure locations of the synthetic availability test probes.\n  Acceptable values depend on the selected type and actual values of existing probes."},"testIntervalInSeconds":{"allOf":[{"$ref":"#/components/schemas/Dem.SyntheticTestInterval"}],"description":"Configure how often availability tests should be performed. Provide a number of seconds that is one of 60, 300, 600, 900, 1800, 3600, 7200, 14400.","example":14400},"outageConfiguration":{"type":"object","allOf":[{"$ref":"#/components/schemas/Dem.OutageConfiguration"}],"nullable":true,"description":"  Default conditions when the entity is considered down.\n  If omitted or set to null, organization configuration will be used for this entity."},"checkForString":{"type":"object","allOf":[{"$ref":"#/components/schemas/Dem.CheckForString"}],"nullable":true,"description":"  Use this field to configure whether availability tests should check for presence or absence of a particular string on a page.\n  If the operator is DOES_NOT_CONTAIN and the value is found on the page, the availability test will fail.\n  Likewise, if the operator is CONTAINS and the value is not found on the page, the availability test will fail.\n  If omitted or set to null, the string checking functionality will be disabled."},"protocols":{"type":"array","items":{"$ref":"#/components/schemas/Dem.WebsiteProtocol"},"description":"Configure which protocols need availability tests to be performed. At least one protocol must be provided.","example":["HTTP","HTTPS"]},"ssl":{"type":"object","allOf":[{"$ref":"#/components/schemas/Dem.SslMonitoring"}],"nullable":true,"description":"  Configure monitoring of SSL/TLS certificates validity. This option is relevant for HTTPS protocol only.\n  If omitted or set to null, SSL monitoring will be disabled and its previous configuration discarded."},"customHeaders":{"type":"array","items":{"$ref":"#/components/schemas/Dem.CustomHeaders"},"nullable":true,"description":"  Configure custom request headers to be sent with each availability test. It is possible to provide multiple headers with the same name.\n  If omitted, set to null or set to an empty array, no custom headers will be sent."},"allowInsecureRenegotiation":{"type":"boolean","description":"  Allow insecure SSL renegotiation which introduces a security risk in the communication process.\n  Checking this option could lead to exposing credentials to unauthorized entities and the possibility of unauthorized access, interception, or manipulation of sensitive data, compromising the integrity and security of the communication channel.\n  Available only with HTTPS check.\n  If omitted or set to null, insecure SSL renegotiation won't be allowed.","example":true},"postData":{"type":"string","nullable":true,"description":"  Configure data that will be sent as 
[...]
